IMG-PROOF TEST(1)

NAME
img-proof-test - Test image in the given framework using...

SYNOPSIS
img-proof test [OPTIONS] {aliyun|azure|ec2|gce|ssh|oci} [TESTS]...

DESCRIPTION
Test image in the given framework using the supplied test files.

OPTIONS

--accelerated-networking
    Enable accelerated networking in Azure instance network interface.

--access-key-id TEXT
    EC2 access key ID for login credentials.

--access-key TEXT
    Aliyun access key for login credentials.

--access-secret TEXT
    Aliyun access secret for login credentials.

-a, --account TEXT
    Settings account to provide connection information.

--cleanup / --no-cleanup
    Terminate instance after tests. By default an instance will be deleted on success and left running if there is a test failure.

-C, --config PATH
    img_proof config file location. Default: ~/.config/img_proof/config

--cpu-options TEXT
    CPU options to be activated when launching instances for tests.Example: --cpu-option AmdSevSnp=enabledMultiple values can be specified separated by comma.

--instance-option TEXT
    Instance options to be activated when launching instances for tests. Amazon Example: "--instance-option CpuOptions=AmdSevSnp.enabled". Google Example: "--instance-option SEV_SNP_CAPABLE". Multiple values can be specified such as (Google) "--instance-option SEV_SNP_CAPABLE --instance-option GVNIC". More details can be found in the img-proof documentation https://img-proof.readthedocs.io/en/latest/usage.html#instance-options.

-D, --description TEXT
    Short description for test run.

-d, --distro [opensuse_leap|sles|sle_micro|rhel|fedora]
    The distribution of the image.

--early-exit
    Terminate test suite on first failure.

-h, --history-log PATH
    img-proof history log file location. Default: ~/.config/img_proof/.history

-i, --image-id TEXT
    The ID of the image used for instance.

--image-project TEXT
    The image project where the image exists. This is required if testing an image in a project different than the service account project.

--inject PATH
    Path to an injection yaml config file.

-t, --instance-type TEXT
    Instance type to use for launching machine.

--ip-address TEXT
    IP address for the test instance (only used by SSH cloud).

--debug
    Display debug level logging to console.

--verbose
    (Default) Display logging info to console.

--quiet
    Silence logging information on test run.

--no-default-test-dirs
    Do not include default test directories in search for tests.

--cloud-config TEXT
    The cloud specific config file location.

--region TEXT
    Cloud region to test image.

--results-dir TEXT
    Directory to store test results and output.

-R, --running-instance-id TEXT
    The ID or Name of running instance to test.

--secret-access-key TEXT
    EC2 secret access key for login credentials.

--security-group-id TEXT
    EC2 security group id to assign to instances VPC.

--service-account-file TEXT
    GCE service account file for login credentials.

--ssh-key-name TEXT
    Optional SSH private key-pair name for EC2.

--ssh-private-key-file PATH
    SSH private key file for accessing instance.

-u, --ssh-user TEXT
    SSH user for accessing instance.

--subnet-id TEXT
    Subnet to launch the new instance into.

--test-dirs TEXT
    Directories to search for tests.

--timeout INTEGER RANGE
    The time to wait when establishing an SSH connection and for instances to change state. [x>=1]

--vnet-name TEXT
    Azure virtual network name to attach network interface.

--vnet-resource-group TEXT
    Azure resource group name where virtual network is found.

--collect-vm-info
    Controls whether general info about VM in cloud should be collected

--compartment-id TEXT
    The OCI compartment to use for image testing.

--availability-domain TEXT
    The domain to place the instance and networking for testing.

--signing-key-fingerprint TEXT
    The public fingerprint of the OCI signing key.

--signing-key-file TEXT
    The OCI key file path used for API signing.

--tenancy TEXT
    The tenancy for the OCI user.

--oci-user-id TEXT
    The ID for the OCI user.

--enable-secure-boot
    Enable secure boot for the instance. Secure boot requires UEFI boot firmware.

--enable-uefi
    Enable boot firmware for the instance. By default secure boot is disabled.

--prefix-name TEXT
    Optional prefix to append to the test instance name or ID depending on the cloud framework. EC2 and OCI use autogenerated IDs thus the prefix is added to the display name.

--retry-count INTEGER RANGE
    The number of times a test should be re-run if it fails. The default is 3 times before the test is marked as failed. This is helpful due to the possibility for flaky SSH sessions and/or network connections. [x>=0]

--v-switch-id TEXT
    ID for the Aliyun VSwitch to attach to the instance.

--sev-capable
    Enable confidential computing in GCE via Secure Encrypted Virtualization (SEV) feature.

--additional-info TEXT
    Additional info to add during instance start or creation when using EC2 provider.

--use-gvnic
    Use a Google Virtual NIC (gVNIC) network interface. (GCE only)

--root-disk-size INTEGER RANGE
    Size of the root disk in GB. [x>=0]

--gallery-name TEXT
    Name of the image gallery where the gallery image defitinition is found.

--gallery-resource-group TEXT
    The name of the resource group where the image gallery is found.

--image-version TEXT
    The version of the gallery image definition to use for testing in semantic versioning format: "2022.02.02".

--architecture [x86_64|arm64]
    The architecture of the compute image being tested. Default: x86_64.

--beta
    Running tests on a product in beta. Skip any tests that are expected to fail.

--exclude TEXT
    Optional tests to exclude. Can be used multiple times. Example: "img-proof test gce --exclude test_1 --exclude test_2"

--include-plan-information
    Include the plan information in the Azure instance which is required for certain images in the Azure marketplace.